# $Revision: 1.5.2.1 $, $Date: 2003/03/13 00:10:59 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	UNIVERSAL
%define	pnam	exports
Summary:	UNIVERSAL::exports - lightweight, universal exporting of variables
Summary(pl):	UNIVERSAL::exports - lekkie, uniwersalne eksportowanie zmiennych
Name:		perl-UNIVERSAL-exports
Version:	0.03
Release:	1
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
%if %{!?_without_tests:1}0
BuildRequires:	perl-Exporter-Lite >= 0.01
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an alternative to Exporter intended to provide a universal,
lightweight subset of its functionality. It uses Exporter::Lite, so
look there for details.

%description -l pl
Ten modu jest alternatyw dla Exportera majc udostpni
uniwersalny, lekki podzbir jego funkcjonalnoci. Uywa moduu
Exporter::Lite, z ktrego mona pozna wicej szczegw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-UNIVERSAL-exports.spec,v $
Revision 1.5.2.1  2003/03/13 00:10:59  ankry
- proper BR

Revision 1.5  2003/03/12 21:51:16  ankry
- cosmetics

Revision 1.4  2003/03/12 21:49:06  ankry
- cosmetics

Revision 1.3  2003/03/03 23:26:35  qboosh
- pl description

Revision 1.2  2003/03/02 13:15:37  radek
- radek drinks The Portion of Forgotten Description.  He looks healthier now.

Revision 1.1  2003/03/02 13:13:25  radek
- new
